public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/fuzion/
Date: Mon,  6 Feb 2023 17:23:24 +0000 (UTC)	[thread overview]
Message-ID: <1675704197.5f28770ea9502cb65c82e18a55593ffaf40d0285.xgqt@gentoo> (raw)

commit:     5f28770ea9502cb65c82e18a55593ffaf40d0285
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  6 03:05:36 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Feb  6 17:23:17 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f28770e

dev-lang/fuzion: new package; add 0.080

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-lang/fuzion/Manifest            |  1 +
 dev-lang/fuzion/fuzion-0.080.ebuild | 47 +++++++++++++++++++++++++++++++++++++
 dev-lang/fuzion/metadata.xml        | 19 +++++++++++++++
 3 files changed, 67 insertions(+)

diff --git a/dev-lang/fuzion/Manifest b/dev-lang/fuzion/Manifest
new file mode 100644
index 000000000000..42122178f63b
--- /dev/null
+++ b/dev-lang/fuzion/Manifest
@@ -0,0 +1 @@
+DIST fuzion-0.080.tar.gz 659142 BLAKE2B b1889ea646ddcb49248db1aa65cfbd3971ddfcad28976e39f631d7f6e3bd7e78f4dbc08756711820e982bcee8aef7eaf8de69a01408457d371c00fad926386ac SHA512 6bae87090b613dc82cc08526c66a62b81e757dc686130553a6f35ef9ea11dacbd726ee52ccb63019bcec876d5531b6a7263f48538eb05c062482f7609cd229c8

diff --git a/dev-lang/fuzion/fuzion-0.080.ebuild b/dev-lang/fuzion/fuzion-0.080.ebuild
new file mode 100644
index 000000000000..85dd0ea40aab
--- /dev/null
+++ b/dev-lang/fuzion/fuzion-0.080.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="A language with a focus on simplicity, safety and correctness"
+HOMEPAGE="https://flang.dev/
+	https://github.com/tokiwa-software/fuzion/"
+SRC_URI="https://github.com/tokiwa-software/${PN}/archive/v${PV}.tar.gz
+	-> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=">=virtual/jre-17:*"
+DEPEND=">=virtual/jdk-17:*"
+BDEPEND="test? ( sys-devel/clang:* )"
+
+DOCS=( README.md release_notes.md )
+
+src_compile () {
+	emake -j1
+}
+
+src_test() {
+	unset _JAVA_OPTIONS  # Setting _JAVA_OPTIONS causes testsuite failures.
+	emake -j1 run_tests_parallel
+}
+
+src_install() {
+	rm -r "${S}"/build/tests || die
+
+	insinto /usr/share/${PN}
+	doins -r build/.
+	insopts -m755
+	doins -r build/bin
+
+	local bin
+	for bin in fz fzjava ; do
+		dosym -r /usr/share/${PN}/bin/${bin} /usr/bin/${bin}
+	done
+
+	einstalldocs
+}

diff --git a/dev-lang/fuzion/metadata.xml b/dev-lang/fuzion/metadata.xml
new file mode 100644
index 000000000000..47ee98be75cb
--- /dev/null
+++ b/dev-lang/fuzion/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+  <maintainer type="person">
+    <email>xgqt@gentoo.org</email>
+    <name>Maciej Barć</name>
+  </maintainer>
+  <longdescription>
+    A language that unifies concepts to improve productivity and to use tools
+    for performance and correctness.
+  </longdescription>
+  <upstream>
+    <changelog>https://flang.dev/release_notes.txt</changelog>
+    <doc>https://flang.dev/docs/index</doc>
+    <bugs-to>https://github.com/tokiwa-software/fuzion/issues/</bugs-to>
+    <remote-id type="github">tokiwa-software/fuzion</remote-id>
+  </upstream>
+</pkgmetadata>


             reply	other threads:[~2023-02-06 17:23 UTC|newest]

Thread overview: 29+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-02-06 17:23 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-02-07 21:49 [gentoo-commits] repo/gentoo:master commit in: dev-lang/fuzion/ Maciej Barć
2023-03-08 20:39 Maciej Barć
2023-03-26  2:57 Sam James
2023-04-05 16:44 Maciej Barć
2023-05-17 20:45 Maciej Barć
2023-05-19 17:45 Sam James
2023-06-17 15:26 Sam James
2023-07-03 22:42 Maciej Barć
2023-07-03 22:42 Maciej Barć
2023-07-03 22:42 Maciej Barć
2023-07-26  8:37 Maciej Barć
2023-08-04  9:22 Sam James
2023-09-02 14:30 Maciej Barć
2023-10-26 13:13 Maciej Barć
2023-11-01 19:17 Maciej Barć
2023-11-26  0:11 Sam James
2023-12-04  8:43 Maciej Barć
2023-12-16 21:45 Maciej Barć
2024-01-07 13:26 Sam James
2024-01-12 23:22 Maciej Barć
2024-01-12 23:22 Maciej Barć
2024-01-30 19:58 Maciej Barć
2024-02-12 17:07 Maciej Barć
2024-02-15 13:56 Sam James
2024-02-19 20:54 Maciej Barć
2024-05-18  1:17 Maciej Barć
2024-08-30 23:52 Maciej Barć
2024-09-16 23:44 Maciej Barć

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1675704197.5f28770ea9502cb65c82e18a55593ffaf40d0285.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox